Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 5.1.8SynchronousAuth Required

SNSHttpTestConnection

SNSHttpTestConnection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • urlString

      Optional. The webhook URL.

    • usernameString

      Optional. The Basic Auth user name.

    • passwordString

      Optional. The Basic Auth password.

    • endpointUuidString

      Optional. The endpoint UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • connectedbooleanRequired

    The test text sending result.

  • webhookRespLinkedHashMapRequired

    The response from the endpoint.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/sns/application-endpoints/http/test-connection

/zstack/v1/sns/application-endpoints/http/test-connection

Operation ID

SNSHttpTestConnection

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/http/test-connection' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","username":"<username>","password":"<password>","endpointUuid":"<endpointUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "connected": true, "webhookResp": "{\u0027result\u0027: \u0027success\u0027}" }

Change History

This API has no change history records yet.

View all change history